Bug 60773 - chkconfig --add sometimes fails
chkconfig --add sometimes fails
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-06 08:38 EST by Gerald Teschl
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-24 08:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2002-03-06 08:38:51 EST

Sometimes chkconfig --add fials. I didn't quite figure out why,
but it can be reproduced with e.g. nfs (this is a vanilla
7.2 system):

[root@localhost root]# chkconfig --list nfs
nfs             0:off   1:off   2:off   3:off   4:off   5:off   6:off
[root@localhost root]# chkconfig --add nfs
[root@localhost root]# chkconfig --list nfs
nfs             0:off   1:off   2:off   3:off   4:off   5:off   6:off
[root@localhost root]# chkconfig --level 345 nfs on
[root@localhost root]# chkconfig --list nfs
nfs             0:off   1:off   2:off   3:on    4:on    5:on    6:off
Comment 1 Bill Nottingham 2002-03-06 12:07:58 EST
chkconfig --add doesn't enable services; it just adds links for the default state.
Comment 2 Gerald Teschl 2002-03-07 09:02:09 EST
But this is the point!? As you can see from --list, the links are
NOT added!!!!! Waht is --add supposed to do if not creating the
Comment 3 Bill Nottingham 2002-03-07 10:50:53 EST
off means the symlinks are there; it's just disabled.
Comment 4 Gerald Teschl 2002-05-24 08:07:42 EDT
I don't get what you mean by "off means it is disabled but the symlinks are
there". This makes absolutely no sense to me. Moreover, the
"S80nfs" symlink is not there!? Why does "--del/--add" remove/create the
symlink for other services like e.g. crond but not for nfs?
Comment 5 Bill Nottingham 2002-05-24 10:41:43 EDT
'off' means that a K** symlink is there. 'on' means that a S** symlink is there.
Comment 6 Gerald Teschl 2002-05-24 17:39:07 EDT
Ah. Now I understand, this is due to the "-" in the init script of 
nfs. Sorry.

Note You need to log in before you can comment on or make changes to this bug.